-- /packages/intranet-taskjuggler/sql/postgresql/intranet-taskjuggler-create.sql
--
-- Copyright (c) 2003 - 2021 ]project-open[
--
-- All rights reserved. Please check
-- https://www.project-open.com/license/ for details.
--
-- @author frank.bergmann@project-open.com



-----------------------------------------------------------
-- TaskJuggler link in projecs menu
--

SELECT im_menu__new (
	null, 'im_menu', now(), null, null, null,
	'intranet-taskjuggler',		-- package_name
	'project_taskjuggler_export',	-- label
	'Run with TaskJuggler',		-- name
	'/intranet-taskjuggler/taskjuggler',	-- url
	10,				-- sort_order
	(select menu_id from im_menus where label = 'projects_admin'),
	null				-- p_visible_tcl
);

SELECT acs_permission__grant_permission(
	(select menu_id from im_menus where label = 'project_taskjuggler_export'), 
	(select group_id from groups where group_name = 'Employees'),
	'read'
);

